AvailabilityBaseServlet (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.servlet.AvailabilityBaseServlet class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.servlet
Class AvailabilityBaseServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.hyperic.hq.ui.servlet.AvailabilityBaseServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Direct Known Subclasses:
  AvailabilityColorServlet, AvailabilityServlet

    public abstract class AvailabilityBaseServlet

extends javax.servlet.http.HttpServlet

Base class for availability servlets

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `AvailabilityBaseServlet.IconBytes`

Constructor Summary
`AvailabilityBaseServlet()`

Method Summary
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected abstract java.lang.String[]` | `getIconUrls()`
`void` | `init()`
`protected abstract void` | `sendAvailIcon(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected abstract void` | `sendErrorIcon(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `sendIcon(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String url)`
`protected abstract void` | `sendPausedIcon(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected abstract void` | `sendPoweredOffIcon(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected abstract void` | `sendUnavailIcon(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected abstract void` | `sendWarningIcon(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AvailabilityBaseServlet

    public AvailabilityBaseServlet()

Method Detail

### init

    public void init()

  Overrides:
    `init` in class `javax.servlet.GenericServlet`

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getIconUrls

    protected abstract java.lang.String[] getIconUrls()

### sendIcon

    protected void sendIcon(javax.servlet.http.HttpServletRequest request,
                            javax.servlet.http.HttpServletResponse response,
                            java.lang.String url)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendAvailIcon

    protected abstract void sendAvailIcon(javax.servlet.http.HttpServletRequest request,
                                          javax.servlet.http.HttpServletResponse response)

### sendUnavailIcon

    protected abstract void sendUnavailIcon(javax.servlet.http.HttpServletRequest request,
                                            javax.servlet.http.HttpServletResponse response)

### sendWarningIcon

    protected abstract void sendWarningIcon(javax.servlet.http.HttpServletRequest request,
                                            javax.servlet.http.HttpServletResponse response)

### sendPausedIcon

    protected abstract void sendPausedIcon(javax.servlet.http.HttpServletRequest request,
                                           javax.servlet.http.HttpServletResponse response)

### sendPoweredOffIcon

    protected abstract void sendPoweredOffIcon(javax.servlet.http.HttpServletRequest request,
                                               javax.servlet.http.HttpServletResponse response)

### sendErrorIcon

    protected abstract void sendErrorIcon(javax.servlet.http.HttpServletRequest request,
                                          javax.servlet.http.HttpServletResponse response)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.